### Constructor

# Soup Session new_with_options

#### Declaration [src]

    SoupSession*
    soup_session_new_with_options (
      const char* optname1,
      ...
    )

#### Description [src]

Creates a `SoupSession` with the specified options.

This constructor is not directly available to language bindings

#### Parameters

`optname1` | `const char*`
| Name of first property to set.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| Value of `optname1`, followed by additional property/value pairs.

#### Return value

Returns: | `SoupSession`
| The new session.
| The caller of the function takes ownership of the data, and is responsible for freeing it.